TAAS - Feature #28

System Settings
08/23/2022 11:26 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 08/23/2022
Priority: Normal Due date: 08/26/2022
Assignee: Baseem Shan % Done: 70%
Category: Estimated time: 28:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: System Settings

Description

Coding System Settings

History

#1 - 08/24/2022 01:56 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#2 - 08/24/2022 01:58 PM - Anil KV
Add ts model last

export class MdlRegSettingsDelete : MdlRequest

short sinSettingsCategory: number = 0;
long binUserOrGroupOrHandoverId: number =
long intSysActionId: number = 0;

#3 - 08/25/2022 12:17 PM - Anil KV

MdISettings.strUserGroup
or

dctMdISettings['SALE_REFUND_POSTING_METHOD'".strUserGroup

#4 - 08/26/2022 03:54 PM - Shanto Shaji
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 08/30/2022 02:51 PM - Shanto Shaiji

- Status changed from Coding Started to Patrticialy Coding Done

- % Done changed from 40 to 30

#6 - 10/11/2022 05:08 PM - Shanto Shaji
Date Not Inserting Properly

#7 - 10/12/2022 05:54 PM - Anil KV
- File sql.sql added
#8 - 10/12/2022 07:15 PM - Anil KV
FnGetAllSettingsBaseModulePrivilege

#9 - 11/24/2022 09:55 AM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#10 - 12/08/2022 10:50 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1. ADD PAGE NUMBER INFORMATION AT THE BOTTOM OF LIST

(TOTAL PAGE COUNT AND CURRENT PAGE NUMBER)
eg: page 1 of 100

#11 - 12/08/2022 01:55 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 03/04/2023 02:38 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Translation - General privilage - Date & Time
2.Fix bugs on 'Module privilage'

(Tree alignment- While translation)

3.Spell check - Module Privilage (TO DO)

#13 - 03/29/2023 02:28 PM - Shanto Shaji
To Do

Only 2 ltems In Grid So. items are right Aligned when change to araic

#14 - 03/29/2023 02:29 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 03/29/2023 02:50 PM - Shanto Shaji

- Status changed from Reopen Bugs Coding Done to Particialy Coding Done

- % Done changed from 60 to 40

#16 - 04/18/2023 11:30 AM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#17 - 08/17/2023 06:54 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ISSUE WHILE CHOOSING CHECK BOX
#18 - 08/23/2023 10:33 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 08/23/2023 04:32 PM - unnikannan S
TESTED OK

#20 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#21 - 10/12/2023 05:33 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.RESTRICT DATA FROM SYSTEM SETTINGS SHOWING IN ADMIN SETTINGS

#22 - 10/18/2023 02:18 PM - unnikannan S

unnikannan S wrote in #note-21:

ISSUE FOUNDED

1.RESTRICT DATA FROM SYSTEM SETTINGS SHOWING IN ADMIN SETTINGS

2.WHILE REFRESHING ADDED UNTICK CASE IN MODULE NOT WORKING

#23 - 11/01/2023 11:30 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Files

1-CsModel.cs 2.08 KB 08/24/2022 Anil KV
2-tsModel.ts 1.33 KB 08/24/2022 Anil KV
3-CsFile.cs 13.5KB 08/24/2022 Anil KV
4-CsControllerFile.cs 24.5 KB 08/24/2022 Anil KV
5-TsFile.ts 13.7 KB 08/24/2022 Anil KV
6-HtmlFile.html 1.9 KB 08/24/2022 Anil KV
sql.sql 14.1 KB 08/24/2022 Anil KV
sql.sql 6.63 KB 10/12/2022 Anil KV
